org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class ForceRebalanceExchangeTask

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.ForceRebalanceExchangeTask

All Implemented Interfaces:
  CachePartitionExchangeWorkerTask

    public class ForceRebalanceExchangeTask
    extends Object
    implements CachePartitionExchangeWorkerTask

### Constructor Summary

Constructors
Constructor and Description
`ForceRebalanceExchangeTask(GridDhtPartitionExchangeId exchId, GridCompoundFuture<Boolean,Boolean> forcedRebFut)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GridDhtPartitionExchangeId` `exchangeId()`
`GridCompoundFuture<Boolean,Boolean>` `forcedRebalanceFuture()`
`boolean` `skipForExchangeMerge()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForceRebalanceExchangeTask

    public ForceRebalanceExchangeTask(GridDhtPartitionExchangeId exchId,
                                      GridCompoundFuture<Boolean,Boolean> forcedRebFut)

Parameters:
  `exchId` - Exchange ID.
  `forcedRebFut` - Rebalance future.

### Method Detail

#### skipForExchangeMerge

    public boolean skipForExchangeMerge()

Specified by:
  `skipForExchangeMerge` in interface `CachePartitionExchangeWorkerTask`
Returns:
  `False` if exchange merge should stop if this task is found in exchange worker queue.

#### exchangeId

    public GridDhtPartitionExchangeId exchangeId()

Returns:
  Exchange ID.

#### forcedRebalanceFuture

    public GridCompoundFuture<Boolean,Boolean> forcedRebalanceFuture()

Returns:
  Rebalance future.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018